/* CSS Overview - Medical App . HTML
    ColorScheme
        Primary: cornflowerblue
        Secondary: white
        Accent: transluscent blue [ rgb(161, 196, 252) ]
    Font Families 
        Main: font-family: 'Rokkitt', serif;
        Secondary: font-family: 'Cinzel', serif;

    Component Layout Base
        Header: class = "header" |
        Components: span.left[Company Name],
                    span.right[top-nav]
        
        Title: class = landing |
        Components: 
        
        Banner:

        Content(About):
        Content(Application):
        Content(Overview):

        Section:

        Footer:

    External Components
        Application:

        SignUp Form:



*/
/* Global CSS */
* {
    margin: 0;
    padding: 0;
}
html {
    scroll-behavior: smooth;
}
body {
    box-sizing: border-box;
    height: 100%;
    
}
#app {
    
    background-color: darkslategray;
    font-family: 'Cinzel', serif;
}

/* headings */
h2, h4 {
    font-family: 'Rokkitt', serif;
    text-decoration: underline;
    text-align: center;
    color: #fff;
}
/* Global Containers + Wrappers */
.box {
    height: 250px;
    width: 100%;
    background: #000;
    margin: auto;
}
/* Header Components
    [header.header],
    [span.left],
    [span.right],
    [span.green]
*/
.header {
    font-family: 'Rokkitt', serif;
    color: white;
    text-align: center;
}
/* top right link properties */
.right a {
    color: #fff;
    padding: 15px;
    text-decoration: none;
    font-size: 16px;
}
.right .active {
    text-decoration: underline;
    color:rgb(161, 196, 252);
    font-size: 30px;
}
 .greenTxt {
     color: green;
     font-weight: bold;
     font-size: 20px;
 }
/* Landing Components
    [div.landing],
    dov.landing-heading] */
.landing {
    clear: both;
    margin: 1em;
    background: rgba(161, 196, 252, 0.2);
}
.landing-heading {
    text-align: center;
    color: #fff;
    clear: both;
}
/* nav [quicklinks] */
.nav {
    clear: both;
    text-align: center;
}
.nav a {
    color: #fff;
}
/* sections global properties */
section {
    clear: both;
    text-align: center;
    padding: 10px;
}
.flex {
    display: block;
}
.content-flex {
    border: 2px solid #fff;
    padding: 20px;
}
.container {
   /* display: block; */
   margin: auto;
}
.content {
    margin: auto;
}
.content p {
    color: #fff;
}

/* Register Form Properties
    Components
        [form.register-form],
        [input.userinfo],
        [input.checkbox],
        [button.createAcc]
*/
.register-form {
    display: block;
    /* padding: 12px; */
    border-block-end: 4px solid #fff;
    width: 100%;
    height: auto;
    box-shadow: none;
}
.register-form input,
.register-form button {
    background: inherit;
    border: none;
    color: #FFF;
    font-size: 18px;
    text-align: center;
    padding: 10px;
    margin: 0 auto;
    font-family: 'Rokkitt', serif;
    outline: none;
    
}
.register-form input[type=text],
.register-form input[type=email] {
    border-bottom: 3px solid #fff;
}
/* app.html 
    app prototype modal */
    .modal {
        display: none; /* Hidden by default */
        position: fixed; /* Stay in place */
        z-index: 1; /* Sit on top */
        left: 0;
        top: 0;
        width: 100%; /* Full width */
        height: 100%; /* Full height */
        overflow: auto; /* Enable scroll if needed */
        background-color: rgb(0,0,0); /* Fallback color */
        background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
      }
      
      /* Modal Content/Box */
      .modal-content {
        background-color: #fefefe;
        margin: 15% auto; /* 15% from the top and centered */
        padding: 10px;
        border: 1px solid #888;
        width: 80%; /* Could be more or less, depending on screen size */
      }
      
      /* The Close Button */
      .closeApp {
        color: #aaa;
        float: right;
        font-size: 28px;
        font-weight: bold;
      }
      
      .closeApp:hover,
      .closeApp:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
      }
/* font awesome icons */
.far,
.fas,
.fab {
    color: #fff;
    font-size: 50px;
}
/* site wide buttons */
/* link to Protoype App properties */
.prototypeLink {
    color: rgb(161,196,252);
    font-size: 25px;
    border: 1px solid #fff;
    padding: 10px;
    
    
}
button {
    font-size: 16px;
    font-weight: bolder 500;
    border: 2px solid #fff;
    border-radius: 5px;
    background: inherit;
    color: #fff;
    height: 45px;
    width: 155px;
    padding: 10px;
    box-shadow: none;
    transition: all 2s;
    font-family: 'Rokkitt', serif;
    
    
}
button a {
    color: #fff;
    text-align: center;
}
button:hover {
    background-color: rgb(161,196,252);
}
/* Footer Properties */
.footer {
    background-color: rgb(63, 64, 65);
    color: #fff;
    padding: 2%;
    margin: auto;
}
.footer h5 {
    text-align: center;
}
/* section images 
    layout provided by [div.box]
 */
#boxAbout {
    background-image: url('img/medical-information.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
#boxInfo {
    background-image: url('img/medical-research.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
#boxFeat {
    background-image: url('img/medical-features.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
#boxRegi {
    background-image: url('img/medical-register.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

@media screen and (min-width:900px) {
    .box {
        
        height: 400px;
        
        max-width: 960px;
        background: #000;
        margin: auto;
    }
    .container {
        display: flex;
     }
     .flex {
         /* margin: auto; */
         display: flex;
         padding: 10px;
         
     }
     .content-flex {
         border: 2px solid #fff;
         padding: 20px;
         margin: auto;
         
     }
   .header {
        font-family: 'Rokkitt', serif;
        color: white;
        text-align: center;
        background-color: rgb(63, 64, 65);
        height: 30px;
        max-height: 45px;
        
    }
    
    .landing {
        clear: both;
        margin: 1em;
        background: rgba(161, 196, 252, 0.4);
        width: 30%;
    }
    .left {
        padding-left: 0.5em;
        float: left;
        
    }
    .right {
        float: right;
        padding-right: 1em;
     }
}